# Class Claude

java.lang.Object
com.google.adk.models.BaseLlm
com.google.adk.models.Claude

public class Claude extends BaseLlm
Represents the Claude Generative AI model by Anthropic.

This class provides methods for interacting with Claude models. Streaming and live connections are not currently supported for Claude.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Claude(String modelName, com.anthropic.client.AnthropicClient anthropicClient)`
  Constructs a new Claude instance.
  `Claude(String modelName, com.anthropic.client.AnthropicClient anthropicClient, int maxTokens)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BaseLlmConnection`
  `connect(LlmRequest llmRequest)`
  Creates a live connection to the LLM.
  `io.reactivex.rxjava3.core.Flowable<LlmResponse>`
  `generateContent(LlmRequest llmRequest, boolean stream)`
  Generates one content from the given LLM request and tools.

  ### Methods inherited from class BaseLlm

  `model`
  Modifier and Type
  Method
  Description
  `String`
  `model()`
  Returns the name of the LLM model.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Claude

    public Claude(String modelName, com.anthropic.client.AnthropicClient anthropicClient)
    Constructs a new Claude instance.
    Parameters:
      `modelName` - The name of the Claude model to use (e.g., "claude-3-opus-20240229").
      `anthropicClient` - The Anthropic API client instance.

  - ### Claude

    public Claude(String modelName, com.anthropic.client.AnthropicClient anthropicClient, int maxTokens)

- ## Method Details

  - ### generateContent

    public io.reactivex.rxjava3.core.Flowable<LlmResponse> generateContent(LlmRequest llmRequest, boolean stream)
    Description copied from class: `BaseLlm`
    Generates one content from the given LLM request and tools.
    Specified by:
      `generateContent` in class `BaseLlm`
    Parameters:
      `llmRequest` - The LLM request containing the input prompt and parameters.
      `stream` - A boolean flag indicating whether to stream the response.
    Returns:
      A Flowable of LlmResponses. For non-streaming calls, it will only yield one LlmResponse. For streaming calls, it may yield more than one LlmResponse, but all yielded LlmResponses should be treated as one content by merging their parts.

  - ### connect

    public BaseLlmConnection connect(LlmRequest llmRequest)
    Description copied from class: `BaseLlm`
    Creates a live connection to the LLM.
    Specified by:
      `connect` in class `BaseLlm`